"""hdappserver URL Configuration

The `urlpatterns` list routes URLs to views. For more information please see:
    https://docs.djangoproject.com/en/1.11/topics/http/urls/
Examples:
Function views
    1. Add an import:  from my_app import views
    2. Add a URL to urlpatterns:  url(r'^$', views.home, name='home')
Class-based views
    1. Add an import:  from other_app.views import Home
    2. Add a URL to urlpatterns:  url(r'^$', Home.as_view(), name='home')
Including another URLconf
    1. Import the include() function: from django.conf.urls import url, include
    2. Add a URL to urlpatterns:  url(r'^blog/', include('blog.urls'))
"""
from django.conf.urls import url, include
from django.contrib import admin
from djangoldp.views import LDPViewSet
from .models import Member, Skill, Project, Client, Cell, Channel

urlpatterns = [
    url(r'^admin/', admin.site.urls),
    url(r'^members/', LDPViewSet.urls(model=Member, nested_field="skills")),
    url(r'^skills/', LDPViewSet.urls(model=Skill)),
    url(r'^projects/', LDPViewSet.urls(model=Project, nested_field="team")),
    url(r'^clients/', LDPViewSet.urls(model=Client)),
    url(r'^cells/', LDPViewSet.urls(model=Cell)),
    url(r'^channels/', LDPViewSet.urls(model=Channel, nested_field="members")),
]

